Subject: bug#15903: 24.3.50; Fix small issue with ispell-hunspell when dictionary is set to default (nil)

From: Agustin Martin <[email-masked]>
Date: Sat, 16 Nov 2013 12:43:02 +0100

2013/11/15 Vladimir Lomov <[email-masked]>

> --text follows this line--
>
> Hello,
> according to variable 'ispell-dictionary-base-alist' defined in
> 'ispell.el' if 'ispell-dictionary' is nil then it is considered as
> default value for dictionary. Unfortunately, when hunspell is used as
> ispell program function 'ispell-parse-hunspell-affix-file' fails because
> it doesn't expect nil as argument.
>
> I propose small and simple patch. I checked it starting emacs as:
>   emacs -Q
> and evaluating in *scratch*:
>   (setq ispell-program-name "hunspell")
>   (setq ispell-really-hunspell t)
> after that I run 'M-$' while point is on first 's' of
>   (message)
>
> In minibuffer I see
>   MESSAGE is correct
>
> Without this patch the same steps lead to message
>   ispell-phaf: No matching entry for nil.
>

Hi,

Cannot reproduce it here. By the way, once initialized for hunspell
ispell.el provides a match for default (nil) value, here

(nil [[:alpha:]] [^[:alpha:]] ['] nil (-B) nil utf-8)

Regards,

-- 
Agustin